Computer List

How to get an overview of all computers? Without adding any parameters, the API will reply with data from all computers, with limited information in the response including id, name, uuid, host_name, online_status, last_online, os_logon and os_user, os_domain. The last two are returned when os_logon is true. You can also query by online_status or group_id parameters How to get detailed information of a specific computer(s)? Once you have the overview list with the id info, in the request body, use the ids parameter and add specific computer id(s) separated by commas. Query the detailed information based on the customized_fields parameter, which can contain multiple fields also separated by commas. There is a limit of 5000 computers (IDs) that can be queried at a time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the Splashtop team

Query Params
integer

(Optional) Query online or offline computers. (Integer) 0: Offline computers only 1: Online computers only

integer

(Optional) Query computers in a specific group.

string
required

ID of the Splashtop team computers you would like to query. Multiple IDs can be added to a request, separated by commas. E.g., 123,456,789.

string

(Optional) The info of the Splashtop team computers you would like to query. Only when ids is part of your parameter in the request can you use customized_fields. (String) Available fields:

General info: id, uuid, name, host_name, os_logon, os_user, os_domain, last_online, os, group_id, online_status, pubip, local_ip, version, last_session, rds_uuid, note, preference_policy

OS updates info: windows_updates, mac_updates

Endpoint security info: support_antivirus, antivirus_software, antivirus_scan_status, unsolved_threats_count, antivirus_software_status, antivirus_software_enabled, antivirus_protection, antivirus_policy, antivirus_last_scan_time, antivirus_software_license, antivirus_definition_number

Responses
200

Successful response

400

Bad request — invalid parameters

401

Unauthorized — invalid or missing access token

403

Forbidden — insufficient scope, or the action/value/target is not allowed. See data.error for the sub-reason.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!